Subject: bug#12153: 24.1.50; vc-checkin fails when buffers of files doesn't exist.

From: Thierry Volpiatto <[email-masked]>
Date: Wed, 08 Aug 2012 08:40:12 +0200

Glenn Morris <[email-masked]> writes:

> Thierry Volpiatto wrote:
>
>> trying to use `vc-checkin' from lisp, I found that it is not usable when
>> the buffers of the files I want to commit are not present.
>> This is due I think to the concept of `with-vc-properties' that need
>> some buffer properties to get info on files (there is a note about this in
>> the definition of `vc-checkin').
>
> I don't understand why you think this is a bug.
One should be able to do:
(let ((default-directory some_directory))
  (vc-checkin files backend))

> Why not just ensure the buffers exist, if that is what the function
> requires?
It is not to me to check and manage this but to vc-checkin. 
Thus, even if I do that myself, I hit another problem when trying to
commit a file when another file have been deleted and is registered as
deleted.

>> I understand that when commiting changes vc can expect the buffer of the
>> modified file is present, but when adding new files, this may not be
>> true.
>
> But obviously you can make it true. I've committed new files many times
> from VC with no problem.
Me too, I know vc is working in its context.

>> Also when an eshell buffer is present, vc ask about this buffer, which
>> is wrong (but that's maybe another bug).
>
> Sounds like.
Don't know what that's mean.

-- 
  Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997